extern number blink = 1.0;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 screen_coords)
{
  vec4 t = Texel(texture, texture_coords);
  vec4 c = t * color;

  return vec4(
    min((c.r+0.001) * blink, 1.0),
    min((c.g+0.001) * blink, 1.0),
    min((c.b+0.001) * blink, 1.0),
    c.a);
}
