local colors = {
  white = { 255, 255, 255 },
  black = { 0, 0, 0 },
  red = { 255, 0, 77 },
  blue = { 41, 173, 255 },
  orange = { 255, 163, 0 },
  green = { 0, 183, 84 },
  gray = { 150, 150, 150 },
  highlight = { 255, 0, 0 }, -- specially treated by the shader as force-white color
}

function colors.idToColor(id)
  return colors[colors.idToName(id)]
end

function colors.idToName(id)
  if id == 1 then return 'red' end
  if id == 2 then return 'blue' end
  if id == 3 then return 'orange' end
  if id == 4 then return 'green' end
end

function colors.nameToId(name)
  if name == 'red' then return 1 end
  if name == 'blue' then return 2 end
  if name == 'orange' then return 3 end
  if name == 'green' then return 4 end
end

return colors
