-- floor + module could bad results multiple times in a row sometimes (depends on dt)!

local cycle = {}

local mt = {}
mt.__index = mt

function mt:use()
  self.t = self.t - self.interval
end

function mt:isReady()
  return self.t > self.interval
end

function mt:check()
  self:use()
  return self:isReady()

end

function mt:update(dt)
  self.t = self.t + dt
end

function cycle.new(interval)
  return setmetatable({
    count = 0,
    t = 0,
    interval = interval
  }, mt)
end

return cycle
