local later = {}
local t = 0
local _afters = {}

function later.after(step_time, cb, _a, _b, _c, _d)
  later.xafter(1, step_time, cb, _a, _b, _c, _d)
end

function later.xafter(count, step_time, cb, _a, _b, _c, _d)
  _afters[#_afters+1] = {
    cb = cb,
    t = t + step_time,
    step_t = step_time,
    _a=_a, _b=_b, _c=_c, _d=_d,
    count = count,
  }
end

function later.update(dt)
  t = t + dt

  for i=#_afters,1,-1 do
    local a = _afters[i]
    if a.t < t then
      a.cb(a._a, a._b, a._c, a._d)
      a.count = a.count - 1
      if a.count <= 0 then
        table.remove(_afters, i)
      else
        a.t = a.t + a.step_t
      end
    end
  end
end

return later
