local points = {}
local _vals = {}
local _prev = {}

function points.reset()
  _vals[1], _vals[2], _vals[3], _vals[4] = 0, 0, 0, 0
  _prev[1], _prev[2], _prev[3], _prev[4] = 0, 0, 0, 0
end

function points.get()
  return _vals
end

function points.getValues()
  return _vals[1], _vals[2], _vals[3], _vals[4]
end

function points.getPrev()
  return _prev[1], _prev[2], _prev[3], _prev[4]
end

function points.add(p1, p2, p3, p4)
  _prev[1], _prev[2], _prev[3], _prev[4] = _vals[1], _vals[2], _vals[3], _vals[4]

  _vals[1] = _vals[1] + (p1 or 0)
  _vals[2] = _vals[2] + (p2 or 0)
  _vals[3] = _vals[3] + (p3 or 0)
  _vals[4] = _vals[4] + (p4 or 0)
end

points.reset()
return points
