local assets = require('utils.assets')
local tex = assets.img('tex.png')
local q = assets.quad('shadow')

local _, _, qw, qh = q:getViewport()

return function(x, y, scale)
  scale = scale or 1
  if scale < 0 then return end
  love.graphics.setColor(255, 255, 255)
  love.graphics.draw(tex, q, x, y, 0, scale, scale, -(qw-qw*scale), -(qh-qh*scale))



  -- love.graphics.draw(drawable (Drawable), x (number), y (number), r (number), sx (number), sy (number), ox (number), oy (number), kx (number), ky (number))
  --
  -- love.graphics.rectangle('fill', x, y, w, h, w, h)

end
